Subject: bug#57261: 29.0.50; X protocol error: XI_BadDevice (invalid Device parameter) on protocol request 131, Re: X protocol error

From: Robert Pluim <[email-masked]>
Date: Wed, 17 Aug 2022 17:34:40 +0200

>>>>> On Wed, 17 Aug 2022 18:28:43 +0300, Jean Louis <[email-masked]> said:
    Jean> I have tried that, and now I can get `emacs -Q' to work again under X.

    Jean> I hope this will be repaired.

    Colin> I can confirm that your patch works for me too. Thank you.

    Colin> Best wishes,

It looks like the right thing, but Iʼd like Po Lu to confirm before I
push (I know very little about XInput2).

Robert
--